PiBox - Bug #716
Disable all console boot messages
18 Sep 2019 15:19 - Hammel

Status: Closed Start date: 18 Sep 2019
Priority: Immediate Due date:

Assignee: Hammel % Done: 100%
Category: 04 - Applications Estimated time: 0.00 hour
Target version: 2.0 - Harkonnen

Severity: 01 - Critical

Description

I need to disable all boot messages in production systems. The way to handle this is to create an app that, on install, updates the
system in production specific ways depending on the system the package is built for.

One of the first things this package needs to do is disable console messages. This can be achieved with two changes applied to
cmdline.txt boot args.
loglevel=0 console=tty3

The first disables all but absolutely fatal console messages while the second routes init script messages to tty3. Note that there is
already a console=tty0 so the latter needs to be a sed change while the former is appended to the boot args.

Related issues:
Related to PiBox - Feature # 718: Integrate splash into kernel image Closed 19 Sep 2019

Associated revisions

Revision fade1fcb - 20 Oct 2019 16:03 - Hammel

RM #716: Allow building the launcher for kiosks with -k, which hides the default terminal, restart and netconfig apps.

Revision 63625a03 - 20 Oct 2019 16:06 - Hammel

RM #716: Build launcher with -k option to hide default apps in kiosk mode.

History

#1 - 18 Sep 2019 15:30 - Hammel
Another thing this can do, for KIOSK builds:
mkdir /etc/launcher/.noshow
cd /etc/launcher

mv netconfig.xml restart.xml terminal.xml .noshow

Note this has to be run AFTER all the other packages have been installed. This can be done by adding
Depends: launcher

to this packages control file.

#2 - 19 Oct 2019 22:12 - Hammel
- Severity changed from 02 - High to 01 - Critical
#3 - 20 Oct 2019 16:07 - Hammel
- Status changed from New to Closed
- % Done changed from 0 to 100

The console=tty3 change was pushed as part of RM #689. Boot up is now quite clean.

A specialized app wasn't necessary for KIOSK mode. | just needed to add an option to build the launcher for the kiosk, which would package it with
the default apps under .noshow.

This has been done, committed and pushed.

Closing issue.
